@import url('https://fonts.googleapis.com/css2?family=Exo:wght@200;400;600&display=swap');

* {
    margin: 0;
    padding: 0;
    color: #fff;
    font-family: Exo;
    text-decoration: none;
}

:root {
    --gold: #daa520;
    --lightgold: #ffd700;
    --yellow: #ffff00;
    --gray: #4448; /*TEMP*/
}

body {
    background-color: black;
}

html {
    scroll-behavior: smooth;
}

::selection {
    background-color: var(--gold);
}

.container {
    margin: 0 auto;
    width: 90%;
}

h2 {
    text-align: center;
    font-size: 40px;
    text-transform: capitalize;
    padding: 100px 0 50px;
}

/*Nav design*/

.nav {
    background-color: #0008;
    backdrop-filter: blur(10px);
    position: fixed;
    width: 100%;
    text-transform: capitalize;
    z-index: 1;
    bottom: 0;
}

.nav ul {
    display: flex;
    justify-content: space-around;
    font-weight: 200;
    list-style: none;
    padding: 12px 0;
}

.nav ul a {
    text-align: center;
    padding: 20px auto;
    display: flex;
    flex-direction: column;
    font-size: 14px;
    transition: color .3s, text-shadow .3s;
}

.nav ul a i {
    padding-bottom: 5px;
}

.nav ul li a i {
    font-size: 20px;
}

.currentPage {
    color: var(--gold);
    font-weight: 600;
}


/*General button design*/

button {
    padding: 10px;
    background-color: var(--gold);
    font-weight: 600;
    cursor: pointer;
    user-select: none;
    border: none;
    transition: box-shadow .3s, background-color .3s;
}

/*Hero design*/

.hero {
    padding: 100px 0;
    text-align: center;
}

.hero h1 {
    font-size: 65px;
    text-transform: capitalize;
}

.hero p {
    font-size: 20px;
    padding-top: 50px;
}

.readMoreButton {
    height: 100px;
    width: 100px;
    margin-top: 100px;
    border-radius: 50%;
    font-size: 60px;
    padding: 18px;
    animation: BouncingArrow 2.5s ease-in-out infinite;
}

@keyframes BouncingArrow {
    0% {
        padding-top: 5px;
    }
    50% {
        padding-top: 25px;
    }
    100% {
        padding-top: 5px;
    }
}


/*Skills design*/

.skills {
    margin-bottom: 100px;
}

.skills .images {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    user-select: none;
    position: relative;
    gap: 20px;
}

.skills .images img {
    height: 120px;
    padding: 20px;
    border-radius: 30px;
}

.skill {
    width: 160px;
    height: 160px;
    position: relative;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(10px);
    background-color: #0004;
    opacity: 0;
    transition: opacity .3s ease;
    display: flex;
    align-items: center;
    justify-content: center;
}

.skill:hover .overlay {
    opacity: 1;
}

.overlay-content {
    position: absolute;
    text-align: center;
    font-size: 14px;
}

.overlay-content h3 {
    text-align: center;
    margin-bottom: 10px;
}

/*Latest projects design*/

.latest .project .container {
    margin: 0 auto;
}

.latest .project {
    background-color: var(--gray);
    backdrop-filter: blur(10px);
    margin: 30px 2%;
    padding: 30px 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    border-radius: 15px;
}

/*Text part design*/

.latest .project .text {
    text-align: justify;
}

.latest .project h3 {
    font-size: 24px;
    margin-bottom: 20px;
    text-align: center;
}

.latest .project .text p {
    font-size: 14px;
}

.alpha {
    display: inline-block;
    padding: 4px;
    background-color: var(--gold);
    font-size: 14px;
    border-radius: 10px;
    transform: translateY(-3px);
    text-transform: capitalize;
}

/*Buttons part design*/

.latest .project .buttons {
    display: flex;
    justify-content: space-around;
    margin-top: 20px;
    gap: 10%;
}

.latest .project button {
    border-radius: 15px;
}

.latest .project a {
    display: flex;
    align-items: center;
}

.latest .project button i {
    font-size: 30px;
}

.latest .project button i.fa-up-right-from-square {
    font-size: 26px;
}

.latest .project button p {
    margin-left: 10px;
}

/*Images part design*/

.latest .project .images-container {
    margin-bottom: 20px;
}

.latest .project .images-container img {
    width: 100%;
    border-radius: 15px;
}


/*Footer design*/

.footer {
    background-color: var(--gray);
    border-radius: 15px;
    margin: auto 2%;
}

.footer .container {
    text-align: center;
    padding: 20px 0;
    margin-bottom: 70px;
    text-transform: capitalize;
}

.footer ul {
    display: flex;
    justify-content: space-around;
    font-weight: 200;
    list-style: none;
    padding: 10px 0;
}

.footer ul a {
    text-align: center;
    padding: 20px auto;
    display: flex;
    flex-direction: column;
    font-size: 12px;
    transition: .3s;
}

.footer ul a i {
    padding-bottom: 5px;
    transition: .3s;
}

.footer ul li a i {
    font-size: 20px;
}

.footer p {
    padding: 20px 0 10px;
    font-size: 15px;
}

.footer hr {
    margin: 10px 30px 0;
    border: .5px solid #888;
}

.disabledbtn,
.disabledbtn:hover {
    background-color: var(--gray);
    box-shadow: var(--gray);
    cursor: not-allowed;
}

/*Making the website responsive*/

@media screen and (min-width:768px) {
    .nav {
        bottom: auto;
    }

    .nav ul {
        justify-content: center;
        flex-direction: row;
        gap: 40px;
        padding: 0;
    }

    .nav ul li a {
        font-size: 20px;
        padding: 20px 0;
    }

    .nav i {
        display: none;
    }

    ul li:hover {
        color: var(--lightgold);
    }
    
    ul a:hover,
    ul a:focus,
    ul a i:hover,
    ul a i:focus {
        color: var(--lightgold);
        text-shadow: 0px 0px 5px var(--yellow);
    }

    button:hover, button:focus {
        box-shadow: 0px 0px 10px 0px var(--lightgold);
        background-color: var(--lightgold);
    }
    
    .hero {
        padding: 170px 0 100px;
    }

    .hero h1 {
        font-size: 80px;
    }

    .latest .project {
        margin: 30px 10%;
    }

    .latest .project .buttons {
        justify-content: center;
    }

    .footer {
        margin: 0 10%;
    }

    .footer .container {
        margin: 30px auto;
    }

    .footer ul {
        justify-content: center;
        gap: 100px;
    }

    .footer ul li a {
        font-size: 16px;
    }
}

@media screen and (min-width:1023px) {
    .hero h1 {
        font-size: 100px;
    }

    .latest .project .content-container {
        display: flex;
        flex-direction: row-reverse;
        gap: 3%;
    }

    .latest .project .text {
        flex-basis: 42%;
    }

    .latest .project .images-container {
        flex-basis: 55%;
    }

    .latest .project .buttons {
        justify-content: space-around;
    }

    .latest .project .images-container {
        margin-bottom: 0;
    }
}

@media screen and (min-width:1280px) {
    .latest,
    .footer {
        margin: 0 auto;
    }

    .latest .project,
    .footer {
        width: 1020px;
        margin-left: auto;
        margin-right: auto;
    }
}